org.richfaces.fragment.editor

## Class RichFacesEditor.AdvancedEditorInteractions

- java.lang.Object
- - org.richfaces.fragment.editor.RichFacesEditor.AdvancedEditorInteractions

- All Implemented Interfaces:
    VisibleComponentInteractions
  Enclosing class:
    RichFacesEditor

      public class RichFacesEditor.AdvancedEditorInteractions
      extends Object
      implements VisibleComponentInteractions

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RichFacesEditor.AdvancedEditorInteractions()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `clear(ClearType clearType)`
    `org.openqa.selenium.WebElement` | `getFrameElement()`
    `org.openqa.selenium.WebElement` | `getRootElement()`
    `long` | `getTimeoutForFrameElementToBeVisible()`
    `RichFacesEditorToolbar` | `getToolbar()`
    `boolean` | `isVisible()`
    `void` | `setTimeoutForFrameElementToBeVisible(long timeoutInMilliseconds)`
    `WaitingWrapper` | `waitForFrameElementToBeVisible()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RichFacesEditor.AdvancedEditorInteractions

          public RichFacesEditor.AdvancedEditorInteractions()

  - ### Method Detail

    - #### clear

          public void clear(ClearType clearType)

    - #### getFrameElement

          public org.openqa.selenium.WebElement getFrameElement()

    - #### getRootElement

          public org.openqa.selenium.WebElement getRootElement()

    - #### getTimeoutForFrameElementToBeVisible

          public long getTimeoutForFrameElementToBeVisible()

    - #### getToolbar

          public RichFacesEditorToolbar getToolbar()

    - #### isVisible

          public boolean isVisible()

      Specified by:
        `isVisible` in interface `VisibleComponentInteractions`

    - #### setTimeoutForFrameElementToBeVisible

          public void setTimeoutForFrameElementToBeVisible(long timeoutInMilliseconds)

    - #### waitForFrameElementToBeVisible

          public WaitingWrapper waitForFrameElementToBeVisible()

Copyright © 2016 JBoss by Red Hat. All Rights Reserved.